Skip to main content
GET
/
plans
/
{code}
/
fixed_charges
List all fixed charges for a plan
curl --request GET \
  --url https://api.getlago.com/api/v1/plans/{code}/fixed_charges \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.getlago.com/api/v1/plans/{code}/fixed_charges"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.getlago.com/api/v1/plans/{code}/fixed_charges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "fixed_charges": [
    {
      "lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
      "lago_add_on_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
      "invoice_display_name": "Setup fee",
      "add_on_code": "setup_fee",
      "created_at": "2023-06-27T19:43:42Z",
      "code": "setup_fee",
      "charge_model": "standard",
      "pay_in_advance": false,
      "prorated": false,
      "properties": {
        "amount": "30",
        "graduated_ranges": [
          {
            "from_value": 0,
            "to_value": 10,
            "flat_amount": "10",
            "per_unit_amount": "0.5"
          }
        ],
        "volume_ranges": [
          {
            "from_value": 0,
            "to_value": 10,
            "flat_amount": "10",
            "per_unit_amount": "0.5"
          }
        ]
      },
      "units": 1,
      "lago_parent_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
      "taxes": [
        {
          "lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
          "name": "TVA",
          "code": "french_standard_vat",
          "rate": 20,
          "applied_to_organization": true,
          "created_at": "2023-07-06T14:35:58Z",
          "description": "French standard VAT"
        }
      ]
    }
  ],
  "meta": {
    "current_page": 2,
    "total_pages": 4,
    "total_count": 70,
    "next_page": 3,
    "prev_page": 1
  }
}
{
"status": 401,
"error": "Unauthorized"
}
{
"status": 404,
"error": "Not Found",
"code": "object_not_found"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

code
string
required

Code of the existing plan.

Example:

"startup"

Query Parameters

page
integer

Page number.

Example:

1

per_page
integer

Number of records per page.

Example:

20

Response

List of fixed charges

fixed_charges
object[]
required
meta
object
required